openapi: 3.2.0
info:
  title: Disputes
  description: Occasionally, something goes wrong with a customer's order. To
    dispute a charge, a customer can create a dispute with PayPal. PayPal
    merchants, partners, and external developers can use the PayPal Disputes API
    to manage customer disputes.<blockquote><strong>Note:</strong> In the live
    environment, merchants cannot create disputes but can only respond to
    customer-created disputes. However, merchants can create disputes in the
    sandbox environment. When you create an app, enable Disputes in the App
    feature options section.</blockquote>A customer can also ask his or her bank
    or credit card company to dispute and reverse a charge, which is known as a
    <i>chargeback</i>. For more information, see <a
    href="https://www.paypal.com/us/brc/article/customer-disputes-claims-chargebacks-bank-reversals">Disputes,
    claims, chargebacks, and bank reversals</a>.<br/><br/>When a customer
    disputes a charge, you can use this API to provide evidence that the charge
    is legitimate. To provide evidence or appeal a dispute, you submit a proof
    of delivery or proof of refund document or notes, which can include
    logs.<br/><br/>Normally, an agent at PayPal creates a dispute, updates the
    dispute status, and settles disputes, but now you can run test cases in the
    sandbox that complete these
    operations.<br/><br/><blockquote><strong>Important:</strong> The create,
    cancel, compute metrics, change reason, and validate eligibility methods are
    available as a limited-release solution at this time. For more information,
    reach out to your PayPal account manager.</blockquote><br/>For details, see
    <a href="/docs/integration/direct/customer-disputes/">Disputes Overview</a>
    documentation.
  version: "1.12"
paths:
  /v1/customer/disputes:
    get:
      summary: List disputes
      description: Lists disputes with a summary set of details, which shows the
        <code>dispute_id</code>, <code>reason</code>, <code>status</code>,
        <code>dispute_state</code>, <code>dispute_life_cycle_stage</code>,
        <code>dispute_channel</code>, <code>dispute_amount</code>,
        <code>create_time</code> and <code>update_time</code>
        fields.<br/><br/>To filter the disputes in the response, specify one or
        more optional query parameters. To limit the number of disputes in the
        response, specify the <code>page_size</code> query
        parameter.<br/><br/>To list multiple disputes, set these query
        parameters in the
        request:<ul><li><code>page_size=2</code></li><li><code>start_time</code>
        instead of <code>disputed_transaction_id</code></li></ul><br/>If the
        response contains more than two disputes, it lists two disputes and
        includes a HATEOAS link to the next page of results.
      operationId: disputes.list
      responses:
        "200":
          description: A successful request returns the HTTP <code>200 OK</code> status
            code and a JSON response body that lists disputes with a full or
            summary set of details. Default is a summary set of details, which
            shows the <code>dispute_id</code>, <code>reason</code>,
            <code>status</code>, <code>dispute_amount</code>,
            <code>create_time</code>, and <code>update_time</code> fields for
            each dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/dispute_search"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/start_time"
        - $ref: "#/components/parameters/disputed_transaction_id"
        - $ref: "#/components/parameters/page"
        - $ref: "#/components/parameters/page_size"
        - $ref: "#/components/parameters/next_page_token"
        - $ref: "#/components/parameters/dispute_state"
        - $ref: "#/components/parameters/create_time_before"
        - $ref: "#/components/parameters/create_time_after"
        - $ref: "#/components/parameters/update_time_before"
        - $ref: "#/components/parameters/update_time_after"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-buyer
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-ebay
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-partner
      tags:
        - disputes
  /v1/customer/disputes/{id}:
    get:
      summary: Show dispute details
      description: Shows details for a dispute, by
        ID.<blockquote><strong>Note:</strong> The fields that appear in the
        response depend on the access. For example, if the merchant requests
        shows dispute details, the customer's email ID does not
        appear.</blockquote>
      operationId: disputes.get
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that shows dispute details.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/dispute"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-buyer
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-ebay
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-partner
      tags:
        - disputes
    patch:
      summary: Partially update dispute
      description: Partially updates a dispute, by ID. Seller can update the
        `communication_detail` value or The partner can add the `partner action`
        information.
      operationId: disputes.patch
      responses:
        "202":
          description: A successfully accepted request returns the HTTP `202 Accepted`
            status code and a JSON response body that includes a [HATEOAS
            link](/docs/api/reference/api-responses/#hateoas-links) to the ID of
            the request. The Clients can choose webhook option as well to
            receive dispute update notification.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "204":
          description: A successful request returns the HTTP `204 No Content` status code
            with no JSON response body.
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/patch_request"
          multipart/related:
            schema:
              $ref: "#/components/schemas/patch_request"
          multipart/form-data:
            schema:
              $ref: "#/components/schemas/patch_request"
          multipart/mixed:
            schema:
              $ref: "#/components/schemas/patch_request"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
      tags:
        - disputes
  /v1/customer/disputes/{id}/provide-evidence:
    post:
      summary: Provide evidence
      description: Provides evidence for a dispute, by ID. A merchant can provide
        evidence for disputes with the <code>WAITING_FOR_SELLER_RESPONSE</code>
        status while customers can provide evidence for disputes with the
        <code>WAITING_FOR_BUYER_RESPONSE</code> status. Evidence can be a proof
        of delivery or proof of refund document or notes, which can include
        logs. A proof of delivery document includes a tracking number while a
        proof of refund document includes a refund ID. For other evidence type,
        notes and documents can be given. Evidences requested from you can be
        found by checking the type of evidence for the corresponding source
        under the evidence section of the <a
        href="/docs/api/customer-disputes/v1/#disputes_get">show dispute
        details</a> response. The source will be
        <code>REQUESTED_FROM_SELLER</code> for evidences requested from the
        merchant while it will be <code>REQUESTED_FROM_BUYER</code> for
        evidences requested from the customer. For constraints and rules
        regarding documents, see <a
        href="/docs/integration/direct/customer-disputes/integration-guide/#documents">documents</a>.<br/>To
        make this request, specify the evidence in the JSON request body and use
        the <code>provide-evidence</code> link in the <a
        href="/docs/api/reference/api-responses/#hateoas-links/">HATEOAS
        links</a> of the <a
        href="/docs/api/customer-disputes/v1/#disputes_get">show dispute
        details</a> response. In case the link is not present in the response,
        you can't provide evidence for the dispute. For information about
        dispute reasons, see <a
        href="/docs/integration/direct/customer-disputes/integration-guide/#dispute-reasons">dispute
        reasons</a>.
      operationId: disputes.provide-evidence
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        $ref: "#/components/requestBodies/evidences"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-buyer
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-partner
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/appeal:
    post:
      summary: Appeal dispute
      description: Appeals a dispute, by ID. To appeal a dispute, use the
        <code>appeal</code> link in the <a
        href="/docs/api/reference/api-responses/#hateoas-links/">HATEOAS
        links</a> from the show dispute details response. If this link does not
        appear, you cannot appeal the dispute. Submit new evidence as a document
        or notes in the JSON request body. For constraints and rules regarding
        documents, see <a
        href="/docs/integration/direct/customer-disputes/integration-guide/#documents">documents</a>.<br/>To
        make this request, specify the dispute ID in the URI and specify the
        evidence in the JSON request body. For information about dispute
        reasons, see <a
        href="/docs/integration/direct/customer-disputes/integration-guide/#dispute-reasons">dispute
        reasons</a>.
      operationId: disputes.appeal
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        $ref: "#/components/requestBodies/evidences"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-buyer
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/accept-claim:
    post:
      summary: Accept claim
      description: Accepts liability for a claim, by ID. When you accept liability for
        a claim, the dispute closes in the customer’s favor and PayPal
        automatically refunds money to the customer from the merchant's account.
        Allowed accept_claim_type values for the request is available in dispute
        details <a
        href="/docs/api/customer-disputes/v1/#definition-allowed_response_options">allowed
        response options</a> object.
      operationId: disputes.accept-claim
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                accept-claim-document:
                  description: A file with evidence.
                  type: string
                  contentMediaType: application/octet-stream
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/adjudicate:
    post:
      summary: Settle dispute
      description: <blockquote><strong>Important:</strong> This method is for sandbox
        use only.</blockquote> Settles a dispute in either the customer's or
        merchant's favor. Merchants can make this call in the sandbox to
        complete end-to-end dispute resolution testing, which mimics the dispute
        resolution that PayPal agents normally complete. To make this call, the
        dispute <code>status</code> must be <code>UNDER_REVIEW</code> and
        <code>adjudicate</code> link  should be available in the <a
        href="/docs/api/customer-disputes/v1/#disputes_get!c=200&path=links&t=response/">HATEOAS
        links</a> of the <a
        href="/docs/api/customer-disputes/v1/#disputes_get">show dispute
        details</a> response.
      operationId: disputes.adjudicate
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/adjudicate"
          multipart/related:
            schema:
              $ref: "#/components/schemas/adjudicate"
          multipart/form-data:
            schema:
              $ref: "#/components/schemas/adjudicate"
          multipart/mixed:
            schema:
              $ref: "#/components/schemas/adjudicate"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-buyer
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/require-evidence:
    post:
      summary: Update dispute status
      description: <blockquote><strong>Important:</strong> This method is for sandbox
        use only.</blockquote> Updates the status of a dispute, by ID, from
        <code>UNDER_REVIEW</code> to
        either:<ul><li><code>WAITING_FOR_BUYER_RESPONSE</code></li><li><code>WAITING_FOR_SELLER_RESPONSE</code></li></ul>This
        status change enables either the customer or merchant to submit evidence
        for the dispute. To make this call, the dispute <code>status</code> must
        be <code>UNDER_REVIEW</code> and <code>require-evidence</code>
        link  should be available in the <a
        href="/docs/api/customer-disputes/v1/#disputes_get!c=200&path=links&t=response/">HATEOAS
        links</a> of the <a
        href="/docs/api/customer-disputes/v1/#disputes_get">show dispute
        details</a> response. Specify an <code>action</code> value in the JSON
        request body to indicate whether the status change enables the customer
        or merchant to submit evidence:<table><thead><tr align="left"><th>If
        <code>action</code> is</th><th>The <code>status</code> updates
        to</th></tr></thead><tbody><tr><td><code>BUYER_EVIDENCE</code></td><td>
        <code>WAITING_FOR_BUYER_RESPONSE</code></td></tr><tr><td><code>SELLER_EVIDENCE</code></td><td>
        <code>WAITING_FOR_SELLER_RESPONSE</code></td></tr></tbody></table>.
      operationId: disputes.require-evidence
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/require_evidence"
          multipart/related:
            schema:
              $ref: "#/components/schemas/require_evidence"
          multipart/form-data:
            schema:
              $ref: "#/components/schemas/require_evidence"
          multipart/mixed:
            schema:
              $ref: "#/components/schemas/require_evidence"
        required: true
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-buyer
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/escalate:
    post:
      summary: Escalate dispute to claim
      description: Escalates the dispute, by ID, to a PayPal claim. To make this call,
        the stage in the dispute lifecycle must be `INQUIRY`.
      operationId: disputes.escalate
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/escalate_response"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/escalate"
          multipart/related:
            schema:
              $ref: "#/components/schemas/escalate"
          multipart/form-data:
            schema:
              $ref: "#/components/schemas/escalate"
          multipart/mixed:
            schema:
              $ref: "#/components/schemas/escalate"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-buyer
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/send-message:
    post:
      summary: Send message about dispute to other party
      description: Sends a message about a dispute, by ID, to the other party in the
        dispute. Merchants and customers can only send messages if the
        `dispute_life_cycle_stage` value is `INQUIRY`. For constraints and rules
        regarding documents that can be attached as part of the message, see <a
        href="/docs/integration/direct/customer-disputes/integration-guide/#documents">documents</a>.
        To send a message, use the <code>send-message</code> link in the <a
        href="/docs/api/reference/api-responses/#hateoas-links/">HATEOAS
        links</a> of the <a
        href="/docs/api/customer-disputes/v1/#disputes_get">show dispute
        details</a> response and specify the message in the JSON request body.
        In case the link is not present in the response you can't send a message
        on the dispute.
      operationId: disputes.send-message
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                message_document:
                  description: A file that contains any additional info about the message posted.
                  type: string
                  contentMediaType: application/octet-stream
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-buyer
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/make-offer:
    post:
      summary: Make offer to resolve dispute
      description: Makes an offer to the other party to resolve a dispute, by ID. To
        make this call, the stage in the dispute lifecycle must be `INQUIRY`. If
        the customer accepts the offer, PayPal automatically makes a refund.
        Allowed offer_type values for the request is available in dispute
        details <a
        href="/docs/api/customer-disputes/v1/#definition-allowed_response_options">allowed
        response options</a> object.
      operationId: disputes.make-offer
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/make_offer"
          multipart/related:
            schema:
              $ref: "#/components/schemas/make_offer"
          multipart/form-data:
            schema:
              $ref: "#/components/schemas/make_offer"
          multipart/mixed:
            schema:
              $ref: "#/components/schemas/make_offer"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-buyer
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/accept-offer:
    post:
      summary: Accept offer to resolve dispute
      description: The customer accepts the offer from merchant to resolve a dispute,
        by ID. PayPal automatically refunds the amount proposed by merchant to
        the customer.
      operationId: disputes.accept-offer
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "202":
          description: A successfully accepted request returns the HTTP `202 Accepted`
            status code and a JSON response body that includes a [HATEOAS
            link](/docs/api/reference/api-responses/#hateoas-links) to the ID of
            the request. The request returns `202 Accepted` status in case money
            movement for the offer is delayed due to some internal reasons.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/accept_offer"
          multipart/related:
            schema:
              $ref: "#/components/schemas/accept_offer"
          multipart/form-data:
            schema:
              $ref: "#/components/schemas/accept_offer"
          multipart/mixed:
            schema:
              $ref: "#/components/schemas/accept_offer"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-buyer
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/deny-offer:
    post:
      summary: Deny offer to resolve dispute
      description: Denies an offer that the merchant proposes for a dispute, by ID.
      operationId: disputes.deny-offer
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/deny_offer"
          multipart/related:
            schema:
              $ref: "#/components/schemas/deny_offer"
          multipart/form-data:
            schema:
              $ref: "#/components/schemas/deny_offer"
          multipart/mixed:
            schema:
              $ref: "#/components/schemas/deny_offer"
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-buyer
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/acknowledge-return-item:
    post:
      summary: Acknowledge returned item
      description: Acknowledges that the customer returned an item for a dispute, by
        ID. A merchant can make this request for disputes with the
        `MERCHANDISE_OR_SERVICE_NOT_AS_DESCRIBED` reason. Allowed
        acknowledgement_type values for the request is available in dispute
        details <a
        href="/docs/api/customer-disputes/v1/#definition-allowed_response_options">allowed
        response options</a> object. For constraints and rules regarding
        documents, see <a
        href="/docs/integration/direct/customer-disputes/integration-guide/#documents">documents</a>.
      operationId: disputes.acknowledge-return-item
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                acknowledgement_document:
                  description: A file with evidence.
                  type: string
                  contentMediaType: application/octet-stream
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
      tags:
        - disputes-actions
  /v1/customer/disputes/{id}/provide-supporting-info:
    post:
      summary: Provide supporting information for dispute
      description: Provides supporting information for a dispute, by ID. A merchant or
        buyer can make this request for disputes if they find the
        `provide-supporting-info` link in the HATEOAS links in the list disputes
        response. The party can provide the supporting information to PayPal to
        defend themselves only when the `dispute_life_cycle_stage` is
        `CHARGEBACK`, `PRE_ARBITRATION`, or `ARBITRATION`. They can provide a
        note that describes their part with details or upload any supporting
        documents to support their side. For constraints and rules regarding
        documents, see <a
        href="/docs/integration/direct/customer-disputes/integration-guide/#documents">documents</a>.<br/>To
        make this request, specify the dispute ID in the URI and specify the
        notes in the JSON request body. This method differs from the provide
        evidence method which supports only multipart request, where PayPal asks
        the concerned party for evidence.
      operationId: disputes.provide-supporting-info
      responses:
        "200":
          description: A successful request returns the HTTP `200 OK` status code and a
            JSON response body that includes a link to the dispute.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/subsequent_action"
        "400":
          description: The request failed due to a validation error. The request returns
            the HTTP `400 Bad Request` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "404":
          description: The request failed due to the dispute is not available. The request
            returns the HTTP `404 Not Found` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "422":
          description: The requested action could not be completed. The request returns
            the HTTP `422 Unprocessable Entity` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        "500":
          description: An internal server error occurred. The request returns the HTTP
            `500 Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/error"
      parameters:
        - $ref: "#/components/parameters/id"
        - $ref: "#/components/parameters/content_type"
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                supporting document:
                  description: A file with evidence.
                  type: string
                  contentMediaType: application/octet-stream
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/update-seller
            - https://uri.paypal.com/services/disputes/update-buyer
            - https://uri.paypal.com/services/disputes/update-partner
      tags:
        - disputes-actions
tags:
  - name: disputes
    description: Use the `/disputes` resource to list disputes, create disputes,
      show dispute details, and partially a dispute. Normally, an agent at
      PayPal creates disputes but now you can run test cases in the sandbox that
      create disputes.
  - name: disputes-actions
    description: Use the `/disputes` resource with a dispute ID and an action
      to:<ul><li>Accept a claim.</li><li>Accept an offer to resolve a
      dispute.</li><li>Acknowledge the return of an item related to a
      dispute.</li><li>Settle a dispute.</li><li>Appeal a
      dispute.</li><li>Cancel a dispute.</li><li>Change the reason for a
      dispute.</li><li>Deny an offer to resolve dispute.</li><li>Escalate a
      dispute to a claim.</li><li>Make an offer to resolve a
      dispute.</li><li>Make an offer to resolve a dispute.</li><li>Provide
      evidence for a dispute.</li><li>Provide supporting information for
      dispute.</li><li>In the sandbox, update the dispute status.</li><li>Send a
      message about a dispute to the other party in the dispute.</li><ul>
  - name: referred-disputes
    description: Use the `/customer/referred-disputes` resource to create a dispute
      for a referred case that was created by a partner or marketplace, show
      details for a referred dispute, by ID, notify referred refunds completed
      to PayPal, notify PayPal about referred dispute adjudication updates, and
      determine the dispute eligibility for referred disputes.
  - name: validate-eligibility
    description: Use the `/validate-eligibility/` resource to determine whether you
      can create a case for a transaction.
  - name: compute-metrics
    description: Use the `/compute-metrics` resource to provide metrics for all disputes.
  - name: validate-referred-dispute-eligibility
    description: Use the `/validate-referred-dispute-eligibility` resource to
      determine whether you can create a referred case for a transaction, by
      encrypted transaction ID.
  - name: referred-disputes
    description: Use the `/referred-disputes` resource to create a dispute for a
      referred case that was created by a partner or marketplace, show details
      for a referred dispute, by ID, notify referred refunds completed to
      PayPal, notify PayPal about referred dispute adjudication updates, and
      determine the dispute eligibility for referred disputes.
  - name: referred-disputes-actions
    description: Use the `/referred-disputes` resource with a dispute ID and an
      action to notify PayPal about adjudication updates for a referred dispute
      and notify PayPal about a refund for a referred dispute.
  - name: partner-actions
    description: Use the `/disputes/{id}/partner-actions/` resource to show dispute
      action details and partially update a dispute action.
  - name: search-suggestions
    description: Use the `/search-suggestions` resource to show search suggestions.
  - name: dispute-events
    description: Use the `/dispute-events` resource to send dispute events.
  - name: refund-preference
    description: Use the `/disputes/{id}/provide-refund-preference` resource to
      provide refund preferences for the dispute.
  - name: return-compensation
    description: Use the `/disputes/{id}/return-compensation` resource to return the
      compensation on the dispute provided by PayPal to the customer.
externalDocs:
  url: /docs/integration/direct/customer-disputes/
servers:
  - url: https://api-m.sandbox.paypal.com
    description: PayPal API Sandbox
components:
  requestBodies:
    evidences:
      content:
        multipart/form-data:
          schema:
            type: object
            properties:
              evidence-file:
                description: A file with evidence.
                type: string
                contentMediaType: application/octet-stream
  securitySchemes:
    Oauth2:
      type: oauth2
      description: Oauth 2.0 authentication
      flows:
        clientCredentials:
          tokenUrl: /api/oauth-proxy
          scopes:
            https://uri.paypal.com/services/disputes/read-seller: This privilege allows
              client to read and search a disputes of a merchant but gets only a
              limited and allowed set of fields back .
            https://uri.paypal.com/services/disputes/read-buyer: This privilege allows
              client to read and search disputes but returns a limited and
              allowed set of fields back.
            https://uri.paypal.com/services/disputes/read-ebay: This privilege allows client
              to read and search a disputes of an user but gets only a limited
              and allowed set of fields back to ebay.
            https://uri.paypal.com/services/disputes/read: This privilege allows client to
              read and search a dispute of an user with all fields.
            https://uri.paypal.com/services/disputes/webhooks: This privilege allows webhook platform to read a dispute event
            https://uri.paypal.com/services/disputes/create: This privilege allows client to
              validate eligibility and create a dispute on his transaction(s).
            https://uri.paypal.com/services/disputes/update-seller: This privilege allows
              client to update a dispute (Merchant actions).
            https://uri.paypal.com/services/disputes/update-buyer: This privilege allows
              client to update a dispute (customer actions).
            https://uri.paypal.com/services/referred-disputes/readwrite: This privilege allows client to read and update a referred dispute.
            https://uri.paypal.com/services/disputes/read-partner: This privilege allows
              client to read and search disputes but returns a limited and
              allowed set of fields back.
            https://uri.paypal.com/services/disputes/update-partner: This privilege allows client to update a dispute (Partner actions).
  responses:
    default:
      description: The default response.
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/error_default"
  schemas:
    accept_claim_response_options:
      type: object
      title: Accept Claim Response Options
      description: The allowed response options when the merchant is accepting the claim.
      properties:
        accept_claim_types:
          $ref: "#/components/schemas/accept_claim_type_list"
    accept_claim_type:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      title: Accept Claim Type
      description: The refund type proposed by the merchant for the dispute.
      enum:
        - REFUND
        - REFUND_WITH_RETURN
        - PARTIAL_REFUND
        - REFUND_WITH_RETURN_SHIPMENT_LABEL
      oneOf:
        - type: string
          enum:
            - REFUND
          description: The merchant must refund the customer without any item replacement
            or return. This type is applicable when a merchant is willing to
            refund the entire dispute amount without any further action from
            customer. Omit the <code>refund_amount</code> and
            <code>return_shipping_address</code> parameters from the <a
            href="/docs/api/customer-disputes/v1/#disputes-actions_accept-claim">accept
            claim</a> call.
        - type: string
          enum:
            - REFUND_WITH_RETURN
          description: The customer must return the item to the merchant and then merchant
            will refund the money. This type is applicable when a merchant is
            willing to refund the dispute amount and requires the customer to
            return the item. Include the <code>return_shipping_address</code>
            parameter in but omit the <code>refund_amount</code> parameter from
            the <a
            href="/docs/api/customer-disputes/v1/#disputes-actions_accept-claim">accept
            claim</a> call.
        - type: string
          enum:
            - PARTIAL_REFUND
          description: The merchant proposes a partial refund for the dispute.This type is
            applicable when a merchant is willing to refund an amount lesser
            than dispute amount. Include the <code>refund_amount</code>
            parameter.
        - type: string
          enum:
            - REFUND_WITH_RETURN_SHIPMENT_LABEL
          description: The customer must return the item to the merchant and then merchant
            will refund the money. This type is applicable when a merchant is
            willing to refund the dispute amount and requires the customer to
            return the item using the shipment label provided by the merchant.
            Include the <code>return_shipment_info</code> and
            <code>return_shipping_address</code> parameter in but omit the
            <code>refund_amount</code> parameter from the <a
            href="/docs/api/customer-disputes/v1/#disputes-actions_accept-claim">accept
            claim</a> call.
    accept_claim_type_list:
      type: array
      description: The types of refund the merchant can provide the customer.
      minItems: 1
      maxItems: 10
      items:
        $ref: "#/components/schemas/accept_claim_type"
    accept_offer:
      type: object
      title: Accept Offer Request
      description: A customer request to accept the offer made by the merchant.
      properties:
        note:
          type: string
          minLength: 1
          maxLength: 2000
          pattern: ^(.|\r?\n)*$
          description: The customer notes about accepting of offer. PayPal can but the
            merchant cannot view these notes.
    acknowledge_return_item_response_options:
      type: object
      title: Acknowledge Return Item Response Options
      description: The allowed response options when the seller acknowledges that the
        buyer has returned an item for the dispute.
      properties:
        acknowledgement_types:
          $ref: "#/components/schemas/acknowledgement_type_list"
    acknowledgement_type:
      type: string
      title: Allowed Acknowledgement Type
      description: The type of acknowledgement allowed for the merchant after the
        customer has returned the item. The merchant can update whether the item
        was received and is as expected or if the item was not received.
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      readOnly: true
      enum:
        - ITEM_RECEIVED
        - ITEM_NOT_RECEIVED
        - DAMAGED
        - EMPTY_PACKAGE_OR_DIFFERENT
        - MISSING_ITEMS
      oneOf:
        - type: string
          enum:
            - ITEM_RECEIVED
          description: The merchant has received the item returned by the customer.
        - type: string
          enum:
            - ITEM_NOT_RECEIVED
          description: The merchant has not received the item.
        - type: string
          enum:
            - DAMAGED
          description: The items returned by the customer were damaged.
        - type: string
          enum:
            - EMPTY_PACKAGE_OR_DIFFERENT
          description: The package was empty or the goods were different from what was
            expected.
        - type: string
          enum:
            - MISSING_ITEMS
          description: The package did not have all the items that were expected.
    acknowledgement_type_list:
      type: array
      description: The types of response when the merchant acknowledges a returned item.
      minItems: 1
      maxItems: 10
      items:
        $ref: "#/components/schemas/acknowledgement_type"
    action_info:
      type: object
      title: Evidence Extensions
      description: The extended properties for a evidence. Includes additional
        information such as the action for which the evidence was
        requested/submitted, and whether the evidence is mandatory.
      properties:
        action:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[A-Z_]+$
          description: The action for which the evidence was requested or submitted.
          enum:
            - ACKNOWLEDGE_RETURN_ITEM
            - ACCEPT_CLAIM
            - PROVIDE_EVIDENCE
            - APPEAL
            - CANCEL
            - CHANGE_REASON
            - ESCALATE
          oneOf:
            - type: string
              enum:
                - ACKNOWLEDGE_RETURN_ITEM
              description: The evidence corresponds to action `acknowledge_return_item`.
            - type: string
              enum:
                - ACCEPT_CLAIM
              description: The evidence corresponds to action `accept_claim`.
            - type: string
              enum:
                - PROVIDE_EVIDENCE
              description: The evidence corresponds to action `provide_evidence`.
            - type: string
              enum:
                - APPEAL
              description: The evidence corresponds to action `appeal`.
            - type: string
              enum:
                - CANCEL
              description: The evidence corresponds to action `cancel`.
            - type: string
              enum:
                - CHANGE_REASON
              description: The evidence corresponds to action `change_reason`.
            - type: string
              enum:
                - ESCALATE
              description: The evidence corresponds to action `escalate`.
        response_option:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[A-Z_]+$
          description: The response option for the corresponding action. Possible
            values:<ul><li><a
            href="/docs/api/customer-disputes/v1/#definition-acknowledgement_type">Acknowledgement
            Types</a></li><li><a
            href="/docs/api/customer-disputes/v1/#definition-response-accept_claim_type">Accept
            Claim types</a></li></ul>.
        mandatory:
          type: boolean
          description: Indicates whether the evidence is mandatory for the corresponding
            action and response option.
    additionalItems:
      type: object
      title: Additional Items
      description: Any additional items.
    address_details:
      type: object
      title: Address Details
      description: The non-portable additional address details that are sometimes
        needed for compliance, risk, or other scenarios where fine-grain address
        information might be needed. Not portable with common third party and
        open source. Redundant with core fields.<br/>For example,
        `address_portable.address_line_1` is usually a combination of
        `address_details.street_number`, `street_name`, and `street_type`.
      properties:
        street_number:
          type: string
          description: The street number.
          maxLength: 100
        street_name:
          type: string
          description: The street name. Just `Drury` in `Drury Lane`.
          maxLength: 100
        street_type:
          type: string
          description: The street type. For example, avenue, boulevard, road, or expressway.
          maxLength: 100
        delivery_service:
          type: string
          description: The delivery service. Post office box, bag number, or post office
            name.
          maxLength: 100
        building_name:
          type: string
          description: A named locations that represents the premise. Usually a building
            name or number or collection of buildings with a common name or
            number. For example, <code>Craven House</code>.
          maxLength: 100
        sub_building:
          type: string
          description: The first-order entity below a named building or location that
            represents the sub-premises. Usually a single building within a
            collection of buildings with a common name. Can be a flat, story,
            floor, room, or apartment.
          maxLength: 100
    address_portable:
      type: object
      title: Portable Postal Address (Medium-Grained)
      description: "The portable international postal address. Maps to
        [AddressValidationMetadata](https://github.com/googlei18n/libaddressinp\
        ut/wiki/AddressValidationMetadata) and HTML 5.1 [Autofilling form
        controls: the autocomplete
        attribute](https://www.w3.org/TR/html51/sec-forms.html#autofilling-form\
        -controls-the-autocomplete-attribute)."
      properties:
        address_line_1:
          type: string
          description: The first line of the address. For example, number or street. For
            example, `173 Drury Lane`. Required for data entry and compliance
            and risk checks. Must contain the full address.
          maxLength: 300
        address_line_2:
          type: string
          description: The second line of the address. For example, suite or apartment
            number.
          maxLength: 300
        address_line_3:
          type: string
          description: The third line of the address, if needed. For example, a street
            complement for Brazil, direction text, such as `next to Walmart`, or
            a landmark in an Indian address.
          maxLength: 100
        admin_area_4:
          type: string
          description: The neighborhood, ward, or district. Smaller than
            `admin_area_level_3` or `sub_locality`. Value is:<ul><li>The postal
            sorting code for Guernsey and many French territories, such as
            French Guiana.</li><li>The fine-grained administrative levels in
            China.</li></ul>
          maxLength: 100
        admin_area_3:
          type: string
          description: A sub-locality, suburb, neighborhood, or district. Smaller than
            `admin_area_level_2`. Value is:<ul><li>Brazil. Suburb, bairro, or
            neighborhood.</li><li>India. Sub-locality or district. Street name
            information is not always available but a sub-locality or district
            can be a very small area.</li></ul>
          maxLength: 100
        admin_area_2:
          type: string
          description: A city, town, or village. Smaller than `admin_area_level_1`.
          maxLength: 120
        admin_area_1:
          type: string
          description: The highest level sub-division in a country, which is usually a
            province, state, or ISO-3166-2 subdivision. Format for postal
            delivery. For example, `CA` and not `California`. Value, by country,
            is:<ul><li>UK. A county.</li><li>US. A state.</li><li>Canada. A
            province.</li><li>Japan. A prefecture.</li><li>Switzerland. A
            kanton.</li></ul>
          maxLength: 300
        postal_code:
          type: string
          description: The postal code, which is the zip code or equivalent. Typically
            required for countries with a postal code or an equivalent. See
            [postal code](https://en.wikipedia.org/wiki/Postal_code).
          maxLength: 60
        country_code:
          $ref: "#/components/schemas/country_code"
        address_details:
          $ref: "#/components/schemas/address_details"
      required:
        - country_code
    adjudicate:
      type: object
      title: Settle Request
      description: A request to settle a dispute in either the customer's or
        merchant's favor.
      properties:
        adjudication_outcome:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: The outcome of the adjudication.
          enum:
            - BUYER_FAVOR
            - SELLER_FAVOR
          oneOf:
            - type: string
              enum:
                - BUYER_FAVOR
              description: Resolves the case in the customer's favor. Outcome is set to
                <code>RESOLVED_BUYER_FAVOR</code>.
            - type: string
              enum:
                - SELLER_FAVOR
              description: Resolves the case in the merchant's favor. Outcome is set to
                <code>RESOLVED_SELLER_FAVOR</code>.
      required:
        - adjudication_outcome
    adjudication:
      type: object
      title: Adjudication
      description: The Adjudication details for the dispute.
      properties:
        type:
          description: The type of adjudication.
          $ref: "#/components/schemas/adjudication_type"
        adjudication_time:
          description: The date and time when the adjudication was done, in [Internet date
            and time format](https://tools.ietf.org/html/rfc3339#section-5.6).
          $ref: "#/components/schemas/date_time"
        reason:
          description: The reason for the adjudication type.
          $ref: "#/components/schemas/adjudication_reason"
        dispute_life_cycle_stage:
          description: The dispute life cycle stage during the adjudication.
          $ref: "#/components/schemas/dispute_lifecycle_stage"
      required:
        - type
        - adjudication_time
    adjudication_list:
      type: array
      minItems: 1
      maxItems: 10
      description: The Teammate Adjudication details for the dispute.
      items:
        $ref: "#/components/schemas/adjudication"
    adjudication_reason:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      description: The reason for the adjudication type.
      enum:
        - AMOUNT_DIFFERENCE_EXPECTED_DUE_TO_FEES
        - BILLING_AGREEMENT_CHANGE_DISCLOSED
        - BILLING_AGREEMENT_CHANGE_NOT_DISCLOSED
        - BILLING_AGREEMENT_DATE_CHANGE_DISCLOSED
        - BILLING_AGREEMENT_DATE_CHANGE_NOT_DISCLOSED
        - BUYER_ATTEMPTED_RETURN
        - BUYER_BILLED_ONLY_ONCE
        - BUYER_CANCELLED_CASE
        - BUYER_CANCELLED_SERVICE
        - BUYER_FAILED_TO_DESCRIBE_ISSUE
        - BUYER_HAS_POSSESSION_OF_THE_MERCHANDISE_OR_SERVICE
        - BUYER_MADE_NO_ATTEMPT_TO_RESOLVE_WITH_SELLER
        - BUYER_NOT_IN_POSSESSION_OF_ITEM_TO_RETURN
        - BUYER_PROVIDED_CREDIT_RECEIPT
        - BUYER_RECEIVED_DUPLICATE_REFUND
        - CANCELLED_PER_TERMS_OF_BILLING_AGREEMENT
        - CARD_NOT_STOLEN
        - CARD_NOT_STOLEN_BEFORE_AUTH
        - CUSTOMER_RECOGNIZES_TRANSACTION
        - DECISION_BASED_ON_AVAILABLE_INFORMATION
        - DELIVERY_AFTER_EXPECTED_DELIVERY_DATE
        - DELIVERY_DUE_WITHIN_EXPECTED_DELIVERY_DATE
        - DELIVERY_OR_SERVICE_REFUSED
        - DOCUMENTATION_MATCHES_AMOUNT_CHARGED
        - DOCUMENTATION_MATCHES_AMOUNT_IN_PAYPAL_ACCOUNT
        - DUPLICATE_ADD_FUNDS
        - EFFORTLESS_SELLER_PROTECTION
        - IN_PERSON_DELIVERY
        - INELIGIBLE_BUYER_PROTECTION_POLICY
        - INELIGIBLE_SELLER_PROTECTION_POLICY
        - INQUIRY_OFFER_ITEM_REPLACED
        - INQUIRY_OFFER_PARTIAL_REFUND
        - INQUIRY_OFFER_REFUND_WITH_ITEM_RETURN
        - INQUIRY_OFFER_REFUND_WITH_REPLACEMENT
        - INVALID_APPEAL_REASON
        - INVALID_CHARGEBACK_SELLER_FAVOUR
        - INVALID_DELIVERY_PROOF
        - INVALID_DELIVERY_PROOF_SIGNATURE
        - INVALID_DOCUMENTATION
        - INVALID_PROOF_OF_SHIPMENT
        - INVALID_REFUND_PROOF
        - INVALID_RETURN_DELIVERY_NO_SIGNATURE_PROOF
        - INVALID_RETURN_DELIVERY_PROOF
        - INVALID_TRACKING
        - ITEM_ALTERED_REPAIRED
        - ITEM_NOT_AS_ADVERTISED
        - ITEM_NOT_AS_DESCRIBED
        - ITEM_NOT_DAMAGED
        - ITEM_NOT_DELIVERED
        - ITEM_NOT_RETURNED_TO_SELLER
        - ITEM_NOT_SHIPPED
        - ITEM_OF_DIFFERENT_QUALITY_OR_QUANTITY
        - ITEM_OUT_OF_STOCK_AND_NOT_DELIVERED
        - ITEM_RETURNED_TO_SELLER
        - ITEM_SERVICE_MISREPRESENTED
        - ITEM_SERVICE_NOT_MISREPRESENTED
        - ITEM_SERVICE_RECEIVED_BY_BUYER
        - ITEM_SOLD_AS_DESCRIBED
        - ITEM_VALUE_UNAFFECTED
        - MULTIPLE_APPEALS_WITH_SAME_REASON
        - NO_DOCUMENTATION_FROM_BUYER
        - NO_DOCUMENTATION_SUPPORTING_DUE_OF_CREDIT
        - NO_PROOF_OF_DELIVERY
        - NO_PROOF_OF_DELIVERY_INTANGIBLE
        - NO_PROTECTION_FOR_DIGITAL_GOODS_SERVICE
        - NO_RESPONSE_FROM_BUYER
        - NO_RESPONSE_FROM_BUYER_FOR_ADDITIONAL_INFO_REQUEST
        - NO_SELLER_RESPONSE
        - NO_SELLER_RESPONSE_FOR_ADDITIONAL_INFO_REQUEST
        - NO_VALID_SHIPMENT_PROOF
        - NOT_A_BILLING_ERROR
        - NOT_AN_UNAUTHORIZED_TRANSACTION
        - NOT_DUPLICATE_FUNDS_ADDED_ONCE
        - NOT_DUPLICATE_FUNDS_WITHDRAWN_ONCE
        - NOT_SHIPPED_TO_CORRECT_ADDRESS
        - PARTIAL_REFUND_ISSUED_FOR_MISSING_ITEMS
        - PARTIAL_REFUND_OFFER_ACCEPTED
        - PAYMENT_REVERSED_ALREADY
        - POS_SUBMITTED_INSTEAD_OF_POD
        - PREAUTH_INSTALLMENT_DUE
        - PROOF_OF_BILLING_AFTER_CANCELLATION_ACCEPTED
        - PROOF_OF_DUPLICATE_DENIED_OR_INSUFFICIENT
        - PROOF_OF_INCORRECT_TRANSACTION_AMOUNT_ACCEPTED
        - PROOF_OF_PAID_BY_OTHER_MEANS_NOT_SUBMITTED
        - PROOF_OF_TRACKING_NOT_SUBMITTED
        - PROTECTED_BY_PAYPAL
        - REPRESENTED_BY_PAYPAL
        - SELLER_ACCEPTED_MULTIPLE_PAYMENTS
        - SELLER_AGREED_REFUND_WITHOUT_RETURN
        - SELLER_AGREED_TO_ISSUE_CREDIT
        - SELLER_ISSUED_CREDIT_TO_BUYER
        - SELLER_ISSUED_REFUND
        - SELLER_NOT_REACHABLE
        - SELLER_RECEIVED_PAYMENT_TWICE_OR_FOR_REPLACEMENT
        - SELLER_REFUSED_REFUND
        - SELLER_REFUSED_RETURN
        - SELLER_SURCHARGED_BUYER
        - SERVICE_NOT_COMPLETED_AS_AGREED
        - SHIPPING_COMPANY_WONT_SHIP
        - TRACKING_PROOF_NOT_ENOUGH
        - TRANSACTION_AUTHORIZED_BY_CARDHOLDER
        - TRANSACTION_CANCELLED_AFTER_AUTHORIZATION_DATE
        - TRANSACTION_CANCELLED_BEFORE_SHIPMENT_SERVICE_DATE
        - TRANSACTION_MATCHES_BUYER_SPENDING_PATTERN
        - TRANSACTION_PROCESSED_CORRECTLY
        - TRUSTED_BUYER_PAYOUT
        - UNUSED_SHIPPING_LABEL
        - VALID_PROOF_OF_DELIVERY
        - VALID_PROOF_OF_DELIVERY_WITH_SIGNATURE
        - VALID_PROOF_OF_REFUND
        - VALID_PROOF_SUPPORTING_CLAIM
        - VALID_RETURN_DELIVERY_PROOF
        - VALID_RETURN_DELIVERY_PROOF_WITH_SIGNATURE
        - VALID_SHIPMENT_PROOF
        - VALUE_AFFECTED_SIGNIFICANTLY
        - PROTECTION_POLICY_APPLIES
        - SNAD_DELAYED_FILING
        - FUNDS_TRANSFERRED_TO_INCORRECT_RECIPIENT
        - NO_SELLER_RESPONSE_FOR_ADDITIONAL_INFO_REQUEST
        - IN_TRANSIT_BEYOND_TIMEFRAME_INVALID_PROOF_OF_SHIPMENT_OR_DELIVERY
        - VALID_PROOF_SUPPORTING_CLAIM
        - INVALID_EVIDENCE
        - INVALID_PROOF_DELIVERED_TO_UNSPECIFIED_LOCATION
        - INVALID_PROOF_DELIVERED_TO_INCORRECT_ADDRESS
        - INVALID_PROOF_UNABLE_TO_TRACK
        - SHIPPING_ADDRESS_NOT_PRESENT_IN_PROOF_OF_SHIPMENT_OR_DELIVERY
        - INVALID_PROOF_ITEM_RETURNED_TO_SENDER
        - DELIVERED_WITHOUT_REQUIRED_SIGNATURE_IN_PROOF_OF_DELIVERY
        - NO_SHIPMENT_TRACKING_PROVIDED_IN_PROOF_OF_DELIVERY
        - OTHER_ISSUE_WITH_PROOF_OF_SHIPMENT_OR_DELIVERY
        - INSUFFICIENT_EVIDENCE_PROVIDED
        - EVIDENCE_CANNOT_BE_LINKED_TO_TRANSACTION
        - EVIDENCE_DOES_NOT_SHOW_FULFILLMENT_OR_CUSTOMER_BENEFIT
        - SELLER_SHIPPED_OR_FULFILLED_BEYOND_ALLOWED_PERIOD
        - ITEM_INELIGIBLE_FOR_SELLER_PROTECTION
        - EVIDENCE_DOES_NOT_SHOW_SERVICE_COMPLETED
        - VALID_RETURN_SHIPMENT_PROOF
        - ITEM_EMPTY_BOX
        - ITEM_UNUSABLE
        - ITEM_MISSING_QUANTITY_OR_QUALITY
        - REFUND_AMOUNT_MISMATCH
        - DUPLICATE_PAYMENT
        - SELLER_PROMISED_REFUND_NOT_ISSUED
        - CUSTOMER_CHARGED_INCORRECT_AMOUNT
        - DUPLICATE_PAYMENT_BY_OTHER_MEANS
        - GOODWILL_PAYOUT
      oneOf:
        - type: string
          enum:
            - AMOUNT_DIFFERENCE_EXPECTED_DUE_TO_FEES
          description: Seller submitted proof of correct charge.
        - type: string
          enum:
            - BILLING_AGREEMENT_CHANGE_DISCLOSED
          description: Seller had disclosed billing agreement changes upfront.
        - type: string
          enum:
            - BILLING_AGREEMENT_CHANGE_NOT_DISCLOSED
          description: Seller had not disclosed billing agreement changes upfront.
        - type: string
          enum:
            - BILLING_AGREEMENT_DATE_CHANGE_DISCLOSED
          description: Seller had shared change in billing agreement date upfront.
        - type: string
          enum:
            - BILLING_AGREEMENT_DATE_CHANGE_NOT_DISCLOSED
          description: Seller had not shared change in billing agreement date upfront.
        - type: string
          enum:
            - BUYER_ATTEMPTED_RETURN
          description: Buyer has attempted to return the item.
        - type: string
          enum:
            - BUYER_BILLED_ONLY_ONCE
          description: Buyer was charged only once and did not submit sufficient evidence
            of duplicate charge.
        - type: string
          enum:
            - BUYER_CANCELLED_CASE
          description: Buyer cancelled the case.
        - type: string
          enum:
            - BUYER_CANCELLED_SERVICE
          description: Buyer cancelled the service or recurring transaction.
        - type: string
          enum:
            - BUYER_FAILED_TO_DESCRIBE_ISSUE
          description: Buyer did not describe the issue to justify the refund.
        - type: string
          enum:
            - BUYER_HAS_POSSESSION_OF_THE_MERCHANDISE_OR_SERVICE
          description: Buyer continues to possess the item or has received the service.
        - type: string
          enum:
            - BUYER_MADE_NO_ATTEMPT_TO_RESOLVE_WITH_SELLER
          description: Buyer did not attempt to resolve the issue with the seller.
        - type: string
          enum:
            - BUYER_NOT_IN_POSSESSION_OF_ITEM_TO_RETURN
          description: Buyer is not in possession of the item to be returned.
        - type: string
          enum:
            - BUYER_PROVIDED_CREDIT_RECEIPT
          description: Buyer provided credit receipt or relevant documentation.
        - type: string
          enum:
            - BUYER_RECEIVED_DUPLICATE_REFUND
          description: Buyer received the refund twice.
        - type: string
          enum:
            - CANCELLED_PER_TERMS_OF_BILLING_AGREEMENT
          description: Billing agreement was cancelled as per agreed terms.
        - type: string
          enum:
            - CARD_NOT_STOLEN
          description: Buyer in possession of the card which was reported as stolen or lost.
        - type: string
          enum:
            - CARD_NOT_STOLEN_BEFORE_AUTH
          description: Buyer reported card as lost or stolen after the authorization date.
        - type: string
          enum:
            - CUSTOMER_RECOGNIZES_TRANSACTION
          description: Buyer recognizes the transaction as valid.
        - type: string
          enum:
            - DECISION_BASED_ON_AVAILABLE_INFORMATION
          description: Case decision was made as per available information when specific
            reasons are not applicable.
        - type: string
          enum:
            - DELIVERY_AFTER_EXPECTED_DELIVERY_DATE
          description: Item or service was delivered after the expected delivery date had
            passed.
        - type: string
          enum:
            - DELIVERY_DUE_WITHIN_EXPECTED_DELIVERY_DATE
          description: Delivery of the item or service is due within the expected delivery
            date.
        - type: string
          enum:
            - DELIVERY_OR_SERVICE_REFUSED
          description: Seller refused delivery or service of the item.
        - type: string
          enum:
            - DOCUMENTATION_MATCHES_AMOUNT_CHARGED
          description: Documentation provided supports the amount that was charged.
        - type: string
          enum:
            - DOCUMENTATION_MATCHES_AMOUNT_IN_PAYPAL_ACCOUNT
          description: Documentation provided supports the amount charged on buyer's
            account.
        - type: string
          enum:
            - DUPLICATE_ADD_FUNDS
          description: Buyer submitted sufficient proof of duplicate charge.
        - type: string
          enum:
            - EFFORTLESS_SELLER_PROTECTION
          description: The case is decided based on Protection Policy.
        - type: string
          enum:
            - IN_PERSON_DELIVERY
          description: Seller delivered the item in person.
        - type: string
          enum:
            - INELIGIBLE_BUYER_PROTECTION_POLICY
          description: The pattern identified does not meet buyer protection eligibility.
        - type: string
          enum:
            - INELIGIBLE_SELLER_PROTECTION_POLICY
          description: The pattern identified does not meet seller protection eligibility.
        - type: string
          enum:
            - INQUIRY_OFFER_ITEM_REPLACED
          description: Seller agreed to replace the item.
        - type: string
          enum:
            - INQUIRY_OFFER_PARTIAL_REFUND
          description: Seller agreed to issue a partial refund to the buyer.
        - type: string
          enum:
            - INQUIRY_OFFER_REFUND_WITH_ITEM_RETURN
          description: Seller agreed to issue a refund for item return.
        - type: string
          enum:
            - INQUIRY_OFFER_REFUND_WITH_REPLACEMENT
          description: Seller agreed to replace the damaged item along with refunds
            applicable.
        - type: string
          enum:
            - INVALID_APPEAL_REASON
          description: Seller appealed twice for the same reason with invalid reason.
        - type: string
          enum:
            - INVALID_CHARGEBACK_SELLER_FAVOUR
          description: The case is decided as invalid based on external network policy.
        - type: string
          enum:
            - INVALID_DELIVERY_PROOF
          description: Seller provided invalid proof of delivery.
        - type: string
          enum:
            - INVALID_DELIVERY_PROOF_SIGNATURE
          description: Buyer's signature confirmation missing in proof of delivery.
        - type: string
          enum:
            - INVALID_DOCUMENTATION
          description: The documentation provided is not valid.
        - type: string
          enum:
            - INVALID_PROOF_OF_SHIPMENT
          description: Seller provided invalid proof of shipment.
        - type: string
          enum:
            - INVALID_REFUND_PROOF
          description: Seller provided invalid proof of refund.
        - type: string
          enum:
            - INVALID_RETURN_DELIVERY_NO_SIGNATURE_PROOF
          description: Seller's signature confirmation missing in proof of return.
        - type: string
          enum:
            - INVALID_RETURN_DELIVERY_PROOF
          description: Buyer provided invalid proof of return.
        - type: string
          enum:
            - INVALID_TRACKING
          description: Seller provided invalid tracking information.
        - type: string
          enum:
            - ITEM_ALTERED_REPAIRED
          description: Item was altered or repaired while in buyer's possession.
        - type: string
          enum:
            - ITEM_NOT_AS_ADVERTISED
          description: Item or service provided didn’t match as it was advertised.
        - type: string
          enum:
            - ITEM_NOT_AS_DESCRIBED
          description: Item or service provided didn’t match as it was described.
        - type: string
          enum:
            - ITEM_NOT_DAMAGED
          description: Item or service provided was not damaged or missing any parts.
        - type: string
          enum:
            - ITEM_NOT_DELIVERED
          description: Seller did not deliver the item to the buyer.
        - type: string
          enum:
            - ITEM_NOT_RETURNED_TO_SELLER
          description: Item was not returned to seller.
        - type: string
          enum:
            - ITEM_NOT_SHIPPED
          description: Seller did not provide verified proof of shipment or delivery.
        - type: string
          enum:
            - ITEM_OF_DIFFERENT_QUALITY_OR_QUANTITY
          description: Item sent to the buyer was of different quality, quantity, color,
            or size.
        - type: string
          enum:
            - ITEM_OUT_OF_STOCK_AND_NOT_DELIVERED
          description: Item was not delivered as it was no longer in stock.
        - type: string
          enum:
            - ITEM_RETURNED_TO_SELLER
          description: Buyer returned the item to seller.
        - type: string
          enum:
            - ITEM_SERVICE_MISREPRESENTED
          description: Seller's listing misrepresented the item.
        - type: string
          enum:
            - ITEM_SERVICE_NOT_MISREPRESENTED
          description: Seller's listing accurately represented the item.
        - type: string
          enum:
            - ITEM_SERVICE_RECEIVED_BY_BUYER
          description: Buyer received the item or service from the seller.
        - type: string
          enum:
            - ITEM_SOLD_AS_DESCRIBED
          description: Item was sold in the condition as described by the seller.
        - type: string
          enum:
            - ITEM_VALUE_UNAFFECTED
          description: Item value or usability was not affected significantly.
        - type: string
          enum:
            - MULTIPLE_APPEALS_WITH_SAME_REASON
          description: Seller appealed multiple times for the same reason without
            providing any additional evidence.
        - type: string
          enum:
            - NO_DOCUMENTATION_FROM_BUYER
          description: No documentation received from buyer.
        - type: string
          enum:
            - NO_DOCUMENTATION_SUPPORTING_DUE_OF_CREDIT
          description: No documentation given to support that credit is due to buyer.
        - type: string
          enum:
            - NO_PROOF_OF_DELIVERY
          description: Seller did not provide proof of delivery.
        - type: string
          enum:
            - NO_PROOF_OF_DELIVERY_INTANGIBLE
          description: Seller did not provide proof of fulfillment for a service or
            digital good.
        - type: string
          enum:
            - NO_PROTECTION_FOR_DIGITAL_GOODS_SERVICE
          description: Digital goods, services, or other Intangibles not covered under
            Protection Policies.
        - type: string
          enum:
            - NO_RESPONSE_FROM_BUYER
          description: No response from buyer.
        - type: string
          enum:
            - NO_RESPONSE_FROM_BUYER_FOR_ADDITIONAL_INFO_REQUEST
          description: No response from buyer to the request for additional information.
        - type: string
          enum:
            - NO_SELLER_RESPONSE
          description: No response from seller.
        - type: string
          enum:
            - NO_SELLER_RESPONSE_FOR_ADDITIONAL_INFO_REQUEST
          description: Seller did not respond to a request for additional information.
        - type: string
          enum:
            - NO_VALID_SHIPMENT_PROOF
          description: Seller did not provide valid proof of shipment.
        - type: string
          enum:
            - NOT_A_BILLING_ERROR
          description: No evidence of a billing error.
        - type: string
          enum:
            - NOT_AN_UNAUTHORIZED_TRANSACTION
          description: No evidence of unauthorized account access was found.
        - type: string
          enum:
            - NOT_DUPLICATE_FUNDS_ADDED_ONCE
          description: Funds only added once and no duplication.
        - type: string
          enum:
            - NOT_DUPLICATE_FUNDS_WITHDRAWN_ONCE
          description: Funds only withdrawn once and no duplication.
        - type: string
          enum:
            - NOT_SHIPPED_TO_CORRECT_ADDRESS
          description: Seller did not ship to correct address.
        - type: string
          enum:
            - PARTIAL_REFUND_ISSUED_FOR_MISSING_ITEMS
          description: Seller issued refund for missing items.
        - type: string
          enum:
            - PARTIAL_REFUND_OFFER_ACCEPTED
          description: Buyer accepted the partial refund offer.
        - type: string
          enum:
            - PAYMENT_REVERSED_ALREADY
          description: Payment was previously refunded or reversed.
        - type: string
          enum:
            - POS_SUBMITTED_INSTEAD_OF_POD
          description: Seller submitted proof of shipment instead of proof of delivery.
        - type: string
          enum:
            - PREAUTH_INSTALLMENT_DUE
          description: Pre-authorized installment or balance is due to seller.
        - type: string
          enum:
            - PROOF_OF_BILLING_AFTER_CANCELLATION_ACCEPTED
          description: Buyer submitted proof of being billed after the billing agreement
            was cancelled.
        - type: string
          enum:
            - PROOF_OF_DUPLICATE_DENIED_OR_INSUFFICIENT
          description: Buyer submitted proof that this was paid by another payment method.
        - type: string
          enum:
            - PROOF_OF_INCORRECT_TRANSACTION_AMOUNT_ACCEPTED
          description: Bank or Credit does not match withdrawal amount on PayPal.
        - type: string
          enum:
            - PROOF_OF_PAID_BY_OTHER_MEANS_NOT_SUBMITTED
          description: Buyer did not provide sufficient proof of paying by other means.
        - type: string
          enum:
            - PROOF_OF_TRACKING_NOT_SUBMITTED
          description: Buyer did not provide sufficient proof of tracking for returns.
        - type: string
          enum:
            - PROTECTED_BY_PAYPAL
          description: This case is covered under Seller protection program.
        - type: string
          enum:
            - REPRESENTED_BY_PAYPAL
          description: Paypal covered the cost of the case as decided by policy.
        - type: string
          enum:
            - SELLER_ACCEPTED_MULTIPLE_PAYMENTS
          description: Seller received multiple payments for the same purchase.
        - type: string
          enum:
            - SELLER_AGREED_REFUND_WITHOUT_RETURN
          description: Seller chose to issue a refund without requiring item to be returned.
        - type: string
          enum:
            - SELLER_AGREED_TO_ISSUE_CREDIT
          description: Seller agreed to refund the buyer.
        - type: string
          enum:
            - SELLER_ISSUED_CREDIT_TO_BUYER
          description: Seller has earlier issued a credit to the buyer for the same
            transaction.
        - type: string
          enum:
            - SELLER_ISSUED_REFUND
          description: Seller has issued a refund.
        - type: string
          enum:
            - SELLER_NOT_REACHABLE
          description: Seller could not be reached to resolve case.
        - type: string
          enum:
            - SELLER_RECEIVED_PAYMENT_TWICE_OR_FOR_REPLACEMENT
          description: Seller received the payment twice or received payment for a
            replacement item.
        - type: string
          enum:
            - SELLER_REFUSED_REFUND
          description: Seller declined to issue a refund.
        - type: string
          enum:
            - SELLER_REFUSED_RETURN
          description: Seller declined to accept return of the item.
        - type: string
          enum:
            - SELLER_SURCHARGED_BUYER
          description: Surcharge was assessed to the buyer.
        - type: string
          enum:
            - SERVICE_NOT_COMPLETED_AS_AGREED
          description: Service was not completed by seller as per description in the
            agreement.
        - type: string
          enum:
            - SHIPPING_COMPANY_WONT_SHIP
          description: Shipping company refused to ship the item.
        - type: string
          enum:
            - TRACKING_PROOF_NOT_ENOUGH
          description: For an item which was significantly not as described, seller cannot
            appeal with tracking information.
        - type: string
          enum:
            - TRANSACTION_AUTHORIZED_BY_CARDHOLDER
          description: Card holder authorized the use of card for the transaction.
        - type: string
          enum:
            - TRANSACTION_CANCELLED_AFTER_AUTHORIZATION_DATE
          description: Transaction was cancelled after the authorization date.
        - type: string
          enum:
            - TRANSACTION_CANCELLED_BEFORE_SHIPMENT_SERVICE_DATE
          description: Transaction was cancelled before the shipment or service date.
        - type: string
          enum:
            - TRANSACTION_MATCHES_BUYER_SPENDING_PATTERN
          description: Transaction similar to recent spending patterns of buyer.
        - type: string
          enum:
            - TRANSACTION_PROCESSED_CORRECTLY
          description: Transaction processed correctly.
        - type: string
          enum:
            - TRUSTED_BUYER_PAYOUT
          description: Payout to the buyer decided based on their profile and policy.
        - type: string
          enum:
            - UNUSED_SHIPPING_LABEL
          description: Shipping label provided was unused.
        - type: string
          enum:
            - VALID_PROOF_OF_DELIVERY
          description: Seller provided valid proof of delivery.
        - type: string
          enum:
            - VALID_PROOF_OF_DELIVERY_WITH_SIGNATURE
          description: Seller provided valid proof of delivery with signature confirmation.
        - type: string
          enum:
            - VALID_PROOF_OF_REFUND
          description: Seller provided valid proof of refund.
        - type: string
          enum:
            - VALID_PROOF_SUPPORTING_CLAIM
          description: Valid proof was provided by buyer that supports the claim.
        - type: string
          enum:
            - VALID_RETURN_DELIVERY_PROOF
          description: Buyer provided valid proof of return delivery.
        - type: string
          enum:
            - VALID_RETURN_DELIVERY_PROOF_WITH_SIGNATURE
          description: Buyer provided valid proof of return delivery with signature
            confirmation.
        - type: string
          enum:
            - VALID_SHIPMENT_PROOF
          description: Seller provided valid proof of shipment.
        - type: string
          enum:
            - VALUE_AFFECTED_SIGNIFICANTLY
          description: The value of item or usability was affected significantly.
        - type: string
          enum:
            - PROTECTION_POLICY_APPLIES
          description: The case is decided based on Protection Policy.
        - type: string
          enum:
            - SNAD_DELAYED_FILING
          description: The reason as to why the buyer is filing dispute after given
            specified days.
        - type: string
          enum:
            - FUNDS_TRANSFERRED_TO_INCORRECT_RECIPIENT
          description: Funds were not transferred to the correct recipient.
        - type: string
          enum:
            - NO_SELLER_RESPONSE_FOR_ADDITIONAL_INFO_REQUEST
          description: Seller did not respond to a request for additional information.
        - type: string
          enum:
            - IN_TRANSIT_BEYOND_TIMEFRAME_INVALID_PROOF_OF_SHIPMENT_OR_DELIVERY
          description: Seller provided invalid proof of shipment, delivery shows the item
            was in transit beyond the allowed timeframe.
        - type: string
          enum:
            - VALID_PROOF_SUPPORTING_CLAIM
          description: Valid proof was provided by buyer that supports the claim.
        - type: string
          enum:
            - INVALID_EVIDENCE
          description: Seller provided invalid evidence, categorized as `OTHER`.
        - type: string
          enum:
            - INVALID_PROOF_DELIVERED_TO_UNSPECIFIED_LOCATION
          description: Seller provided invalid proof of shipment, delivery shows the item
            was delivered to an unspecified location.
        - type: string
          enum:
            - INVALID_PROOF_DELIVERED_TO_INCORRECT_ADDRESS
          description: Seller provided invalid proof of shipment, delivery shows the item
            was delivered to an incorrect address.
        - type: string
          enum:
            - INVALID_PROOF_UNABLE_TO_TRACK
          description: Seller provided invalid proof of shipment. The shipment could not
            be tracked with the information provided.
        - type: string
          enum:
            - SHIPPING_ADDRESS_NOT_PRESENT_IN_PROOF_OF_SHIPMENT_OR_DELIVERY
          description: Seller provided invalid proof of shipment since it lacks the
            correct shipping address.
        - type: string
          enum:
            - INVALID_PROOF_ITEM_RETURNED_TO_SENDER
          description: Seller provided invalid proof of shipment which shows the item was
            returned back to the sender.
        - type: string
          enum:
            - DELIVERED_WITHOUT_REQUIRED_SIGNATURE_IN_PROOF_OF_DELIVERY
          description: Proof of delivery provided by the seller is invalid since it is
            missing the required signature.
        - type: string
          enum:
            - NO_SHIPMENT_TRACKING_PROVIDED_IN_PROOF_OF_DELIVERY
          description: Proof of delivery provided by the seller is invalid since since no
            shipment tracking is provided.
        - type: string
          enum:
            - OTHER_ISSUE_WITH_PROOF_OF_SHIPMENT_OR_DELIVERY
          description: Seller provided invalid proof of shipment or delivery.
        - type: string
          enum:
            - INSUFFICIENT_EVIDENCE_PROVIDED
          description: Seller did not provide any sufficient evidence.
        - type: string
          enum:
            - EVIDENCE_CANNOT_BE_LINKED_TO_TRANSACTION
          description: Evidence provided by the seller is invalid since it could not be
            linked to the transaction.
        - type: string
          enum:
            - EVIDENCE_DOES_NOT_SHOW_FULFILLMENT_OR_CUSTOMER_BENEFIT
          description: Evidence provided by the seller does not demonstrate fulfillment or
            customer benefit.
        - type: string
          enum:
            - SELLER_SHIPPED_OR_FULFILLED_BEYOND_ALLOWED_PERIOD
          description: Order was shipped two days after the dispute was filed, making the
            evidence invalid.
        - type: string
          enum:
            - ITEM_INELIGIBLE_FOR_SELLER_PROTECTION
          description: Item does not meet the requirements for seller protection.
        - type: string
          enum:
            - EVIDENCE_DOES_NOT_SHOW_SERVICE_COMPLETED
          description: The evidence provided by the seller does not show that the service
            was completed as per the service agreement.
        - type: string
          enum:
            - VALID_RETURN_SHIPMENT_PROOF
          description: Buyer provided evidence that the item was shipped back for return.
        - type: string
          enum:
            - ITEM_EMPTY_BOX
          description: The item sent to the buyer was an empty box.
        - type: string
          enum:
            - ITEM_UNUSABLE
          description: The item sent to the buyer was unusable.
        - type: string
          enum:
            - ITEM_MISSING_QUANTITY_OR_QUALITY
          description: The item sent to the buyer was missing in quality or quantity.
        - type: string
          enum:
            - REFUND_AMOUNT_MISMATCH
          description: The refund amount promised does not match the actual refunded amount.
        - type: string
          enum:
            - DUPLICATE_PAYMENT
          description: Multiple payments were processed for the same transaction.
        - type: string
          enum:
            - SELLER_PROMISED_REFUND_NOT_ISSUED
          description: The evidence indicates seller promised refund to the buyer but did
            not issue it.
        - type: string
          enum:
            - CUSTOMER_CHARGED_INCORRECT_AMOUNT
          description: The evidence indicates customer was charged an incorrect amount.
        - type: string
          enum:
            - DUPLICATE_PAYMENT_BY_OTHER_MEANS
          description: The evidence indicates that the customer was charged multiple times
            for the same order through different payment methods.
        - type: string
          enum:
            - GOODWILL_PAYOUT
          description: Seller did not provide enough evidence. Since the account is in
            good standing, it will not be debited for the disputed amount this
            time. The seller has been advised to review the previous <a
            href="/docs/api/customer-disputes/v1/#definition-adjudication">adjudication</a>
            under <a
            href="/docs/api/customer-disputes/v1/#disputes_get!c=200&path=adjudications&t=response">adjudications</a>
            returned as part of the <a
            href="/docs/api/customer-disputes/v1/#disputes_get">dispute
            details</a> API response for a detailed explanation of why the
            evidence did not meet requirements.
    adjudication_type:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      description: The type of adjudication.
      enum:
        - DENY_BUYER
        - PAYOUT_TO_BUYER
        - PAYOUT_TO_SELLER
        - RECOVER_FROM_SELLER
      oneOf:
        - type: string
          enum:
            - DENY_BUYER
          description: The decision is to deny the buyer for the dispute.
        - type: string
          enum:
            - PAYOUT_TO_BUYER
          description: The decision is to payout to the buyer.
        - type: string
          enum:
            - PAYOUT_TO_SELLER
          description: The decision is to payout to the seller if the seller was debited
            earlier.
        - type: string
          enum:
            - RECOVER_FROM_SELLER
          description: The decision is to charge the seller for the dispute if the seller
            was not debited already.
    agreed_refund_details:
      type: object
      title: Agreed Refund Details
      description: Details of Agreed Refund between customer and merchant.
      properties:
        merchant_agreed_refund:
          type: boolean
          description: Indicates whether merchant has agreed to refund the buyer or not.
        merchant_agreed_refund_time:
          description: The date and time proposed by merchant to provide the refund, in
            [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6).
          $ref: "#/components/schemas/date_time"
    allOf:
      type: object
      title: All Of Item
      description: A sub-schema against which the data must validate.
    allOf_list:
      type: array
      description: An array of sub-schemas. The data must validate against all sub-schemas.
      items:
        $ref: "#/components/schemas/allOf"
    allowed_response_options:
      type: object
      title: Allowed Response Options
      description: The allowed response options for the buyer/seller update actions.
      properties:
        acknowledge_return_item:
          $ref: "#/components/schemas/acknowledge_return_item_response_options"
        accept_claim:
          $ref: "#/components/schemas/accept_claim_response_options"
        make_offer:
          $ref: "#/components/schemas/make_offer_response_options"
    anyOf:
      type: object
      title: Any Of Item
      description: A sub-schema against which the data must validate.
    anyOf_list:
      type: array
      description: An array of sub-schemas. The data must validate against one or more
        sub-schemas.
      items:
        $ref: "#/components/schemas/anyOf"
    billing_disputes_properties:
      type: object
      title: Billing Disputes Properties
      description: The billing issue details.
      properties:
        duplicate_transaction:
          $ref: "#/components/schemas/duplicate_transaction"
        incorrect_transaction_amount:
          $ref: "#/components/schemas/incorrect_transaction_amount"
        payment_by_other_means:
          $ref: "#/components/schemas/payment_by_other_means"
        credit_not_processed:
          $ref: "#/components/schemas/credit_not_processed"
        canceled_recurring_billing:
          $ref: "#/components/schemas/canceled_recurring_billing"
    buyer:
      type: object
      title: Customer
      description: The details for the customer who funds the payment. For example,
        the customer's first name, last name, and email address.
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 2000
          pattern: ^[^~!@#$%^*()_{}:|\t\n/]+$
          description: The customer's name.
[...]
